package com.tofly.data.sql.dao;

import java.util.Map;

import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.AbstractDaoSession;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.identityscope.IdentityScopeType;
import org.greenrobot.greendao.internal.DaoConfig;

import com.tofly.ghrq_route.module.OfflineWork.domain.OfflineJobNeedData;
import com.tofly.ghrq_route.module.OfflineWork.domain.OfflineWorkJobBean;
import com.tofly.ghrq_route.module.buildManage.BuildExamineBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildFileBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildHandleDataBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildLogBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildManageBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildManageFileBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildProcessManageBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildProjectTypeBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildReportBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildSignDataBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildTypeBean;
import com.tofly.ghrq_route.module.buildManage.domain.DepartmentBean;
import com.tofly.ghrq_route.module.buildManage.domain.UserListBean;
import com.tofly.ghrq_route.module.deviceInfo.domain.DeviceInfoBean;
import com.tofly.ghrq_route.module.download.domain.DownloadData;
import com.tofly.ghrq_route.module.emergencyHandle.domain.EmergencyOverData;
import com.tofly.ghrq_route.module.gps.domain.CheckGPSDataBean;
import com.tofly.ghrq_route.module.gps.domain.GPSDataBean;
import com.tofly.ghrq_route.module.gps.domain.LocationGPSDataBean;
import com.tofly.ghrq_route.module.job.domain.JobBean;
import com.tofly.ghrq_route.module.notifyManage.NotifyManageBean;
import com.tofly.ghrq_route.module.pipeAnalyze.domain.FieldsBean;
import com.tofly.ghrq_route.module.planPointRepair.domain.MaintainAdjustParam;
import com.tofly.ghrq_route.module.planPointRepair.domain.MaintainCommonParam;
import com.tofly.ghrq_route.module.planPointRepair.domain.PlanPointRepair;
import com.tofly.ghrq_route.module.planPointRepair.domain.RepairSysDeviceSetting;
import com.tofly.ghrq_route.module.plan.domain.OfflinePathBean;
import com.tofly.ghrq_route.module.plan.domain.OfflinePointLineBean;
import com.tofly.ghrq_route.module.plan.domain.PlanBean;
import com.tofly.ghrq_route.module.rushrepair.domain.RushRepairBean;
import com.tofly.ghrq_route.module.rushrepair.domain.RushRepairExamineBean;
import com.tofly.ghrq_route.module.rushrepair.domain.RushRepairFileBean;
import com.tofly.ghrq_route.module.rushrepair.domain.RushRepairProcessBean;
import com.tofly.ghrq_route.module.sign.domain.SignDataBean;
import com.tofly.ghrq_route.module.sign.domain.SignHistoryDataBean;
import com.tofly.ghrq_route.module.sketch.domain.SketchBean;
import com.tofly.ghrq_route.module.systemConfig.domain.ServerSysConfigBean;
import com.tofly.ghrq_route.module.systemConfig.domain.SystemConfigBean;
import com.tofly.ghrq_route.module.troubleType.domain.PipeTypeBean;
import com.tofly.ghrq_route.module.troubleType.domain.SysDeviceTypeBean;
import com.tofly.ghrq_route.module.troubleType.domain.TroubleRiskLevelBean;
import com.tofly.ghrq_route.module.troubleType.domain.TroubleTypeBean;
import com.tofly.ghrq_route.module.trouble.domain.LocalPlanRecordBean;
import com.tofly.ghrq_route.module.trouble.domain.TroubleAudioBean;
import com.tofly.ghrq_route.module.trouble.domain.TroubleBean;
import com.tofly.ghrq_route.module.trouble.domain.TroublePictureBean;
import com.tofly.ghrq_route.module.uploadPhoto.domain.UploadPhotoBean;
import com.tofly.ghrq_route.module.user.domain.DepartListBean;
import com.tofly.ghrq_route.module.user.domain.DepartUserListBean;
import com.tofly.ghrq_route.module.user.domain.MapUrlConfigDataBean;
import com.tofly.ghrq_route.module.user.domain.UserBean;
import com.tofly.ghrq_route.module.user.domain.UserMapDataBean;
import com.tofly.ghrq_route.module.user.domain.UserMenuBean;
import com.tofly.ghrq_route.module.user.domain.UserOnlineMapDataBean;

import com.tofly.data.sql.dao.OfflineJobNeedDataDao;
import com.tofly.data.sql.dao.OfflineWorkJobBeanDao;
import com.tofly.data.sql.dao.BuildExamineBeanDao;
import com.tofly.data.sql.dao.BuildFileBeanDao;
import com.tofly.data.sql.dao.BuildHandleDataBeanDao;
import com.tofly.data.sql.dao.BuildLogBeanDao;
import com.tofly.data.sql.dao.BuildManageBeanDao;
import com.tofly.data.sql.dao.BuildManageFileBeanDao;
import com.tofly.data.sql.dao.BuildProcessManageBeanDao;
import com.tofly.data.sql.dao.BuildProjectTypeBeanDao;
import com.tofly.data.sql.dao.BuildReportBeanDao;
import com.tofly.data.sql.dao.BuildSignDataBeanDao;
import com.tofly.data.sql.dao.BuildTypeBeanDao;
import com.tofly.data.sql.dao.DepartmentBeanDao;
import com.tofly.data.sql.dao.UserListBeanDao;
import com.tofly.data.sql.dao.DeviceInfoBeanDao;
import com.tofly.data.sql.dao.DownloadDataDao;
import com.tofly.data.sql.dao.EmergencyOverDataDao;
import com.tofly.data.sql.dao.CheckGPSDataBeanDao;
import com.tofly.data.sql.dao.GPSDataBeanDao;
import com.tofly.data.sql.dao.LocationGPSDataBeanDao;
import com.tofly.data.sql.dao.JobBeanDao;
import com.tofly.data.sql.dao.NotifyManageBeanDao;
import com.tofly.data.sql.dao.FieldsBeanDao;
import com.tofly.data.sql.dao.MaintainAdjustParamDao;
import com.tofly.data.sql.dao.MaintainCommonParamDao;
import com.tofly.data.sql.dao.PlanPointRepairDao;
import com.tofly.data.sql.dao.RepairSysDeviceSettingDao;
import com.tofly.data.sql.dao.OfflinePathBeanDao;
import com.tofly.data.sql.dao.OfflinePointLineBeanDao;
import com.tofly.data.sql.dao.PlanBeanDao;
import com.tofly.data.sql.dao.RushRepairBeanDao;
import com.tofly.data.sql.dao.RushRepairExamineBeanDao;
import com.tofly.data.sql.dao.RushRepairFileBeanDao;
import com.tofly.data.sql.dao.RushRepairProcessBeanDao;
import com.tofly.data.sql.dao.SignDataBeanDao;
import com.tofly.data.sql.dao.SignHistoryDataBeanDao;
import com.tofly.data.sql.dao.SketchBeanDao;
import com.tofly.data.sql.dao.ServerSysConfigBeanDao;
import com.tofly.data.sql.dao.SystemConfigBeanDao;
import com.tofly.data.sql.dao.PipeTypeBeanDao;
import com.tofly.data.sql.dao.SysDeviceTypeBeanDao;
import com.tofly.data.sql.dao.TroubleRiskLevelBeanDao;
import com.tofly.data.sql.dao.TroubleTypeBeanDao;
import com.tofly.data.sql.dao.LocalPlanRecordBeanDao;
import com.tofly.data.sql.dao.TroubleAudioBeanDao;
import com.tofly.data.sql.dao.TroubleBeanDao;
import com.tofly.data.sql.dao.TroublePictureBeanDao;
import com.tofly.data.sql.dao.UploadPhotoBeanDao;
import com.tofly.data.sql.dao.DepartListBeanDao;
import com.tofly.data.sql.dao.DepartUserListBeanDao;
import com.tofly.data.sql.dao.MapUrlConfigDataBeanDao;
import com.tofly.data.sql.dao.UserBeanDao;
import com.tofly.data.sql.dao.UserMapDataBeanDao;
import com.tofly.data.sql.dao.UserMenuBeanDao;
import com.tofly.data.sql.dao.UserOnlineMapDataBeanDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.

/**
 * {@inheritDoc}
 * 
 * @see org.greenrobot.greendao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig offlineJobNeedDataDaoConfig;
    private final DaoConfig offlineWorkJobBeanDaoConfig;
    private final DaoConfig buildExamineBeanDaoConfig;
    private final DaoConfig buildFileBeanDaoConfig;
    private final DaoConfig buildHandleDataBeanDaoConfig;
    private final DaoConfig buildLogBeanDaoConfig;
    private final DaoConfig buildManageBeanDaoConfig;
    private final DaoConfig buildManageFileBeanDaoConfig;
    private final DaoConfig buildProcessManageBeanDaoConfig;
    private final DaoConfig buildProjectTypeBeanDaoConfig;
    private final DaoConfig buildReportBeanDaoConfig;
    private final DaoConfig buildSignDataBeanDaoConfig;
    private final DaoConfig buildTypeBeanDaoConfig;
    private final DaoConfig departmentBeanDaoConfig;
    private final DaoConfig userListBeanDaoConfig;
    private final DaoConfig deviceInfoBeanDaoConfig;
    private final DaoConfig downloadDataDaoConfig;
    private final DaoConfig emergencyOverDataDaoConfig;
    private final DaoConfig checkGPSDataBeanDaoConfig;
    private final DaoConfig gPSDataBeanDaoConfig;
    private final DaoConfig locationGPSDataBeanDaoConfig;
    private final DaoConfig jobBeanDaoConfig;
    private final DaoConfig notifyManageBeanDaoConfig;
    private final DaoConfig fieldsBeanDaoConfig;
    private final DaoConfig maintainAdjustParamDaoConfig;
    private final DaoConfig maintainCommonParamDaoConfig;
    private final DaoConfig planPointRepairDaoConfig;
    private final DaoConfig repairSysDeviceSettingDaoConfig;
    private final DaoConfig offlinePathBeanDaoConfig;
    private final DaoConfig offlinePointLineBeanDaoConfig;
    private final DaoConfig planBeanDaoConfig;
    private final DaoConfig rushRepairBeanDaoConfig;
    private final DaoConfig rushRepairExamineBeanDaoConfig;
    private final DaoConfig rushRepairFileBeanDaoConfig;
    private final DaoConfig rushRepairProcessBeanDaoConfig;
    private final DaoConfig signDataBeanDaoConfig;
    private final DaoConfig signHistoryDataBeanDaoConfig;
    private final DaoConfig sketchBeanDaoConfig;
    private final DaoConfig serverSysConfigBeanDaoConfig;
    private final DaoConfig systemConfigBeanDaoConfig;
    private final DaoConfig pipeTypeBeanDaoConfig;
    private final DaoConfig sysDeviceTypeBeanDaoConfig;
    private final DaoConfig troubleRiskLevelBeanDaoConfig;
    private final DaoConfig troubleTypeBeanDaoConfig;
    private final DaoConfig localPlanRecordBeanDaoConfig;
    private final DaoConfig troubleAudioBeanDaoConfig;
    private final DaoConfig troubleBeanDaoConfig;
    private final DaoConfig troublePictureBeanDaoConfig;
    private final DaoConfig uploadPhotoBeanDaoConfig;
    private final DaoConfig departListBeanDaoConfig;
    private final DaoConfig departUserListBeanDaoConfig;
    private final DaoConfig mapUrlConfigDataBeanDaoConfig;
    private final DaoConfig userBeanDaoConfig;
    private final DaoConfig userMapDataBeanDaoConfig;
    private final DaoConfig userMenuBeanDaoConfig;
    private final DaoConfig userOnlineMapDataBeanDaoConfig;

    private final OfflineJobNeedDataDao offlineJobNeedDataDao;
    private final OfflineWorkJobBeanDao offlineWorkJobBeanDao;
    private final BuildExamineBeanDao buildExamineBeanDao;
    private final BuildFileBeanDao buildFileBeanDao;
    private final BuildHandleDataBeanDao buildHandleDataBeanDao;
    private final BuildLogBeanDao buildLogBeanDao;
    private final BuildManageBeanDao buildManageBeanDao;
    private final BuildManageFileBeanDao buildManageFileBeanDao;
    private final BuildProcessManageBeanDao buildProcessManageBeanDao;
    private final BuildProjectTypeBeanDao buildProjectTypeBeanDao;
    private final BuildReportBeanDao buildReportBeanDao;
    private final BuildSignDataBeanDao buildSignDataBeanDao;
    private final BuildTypeBeanDao buildTypeBeanDao;
    private final DepartmentBeanDao departmentBeanDao;
    private final UserListBeanDao userListBeanDao;
    private final DeviceInfoBeanDao deviceInfoBeanDao;
    private final DownloadDataDao downloadDataDao;
    private final EmergencyOverDataDao emergencyOverDataDao;
    private final CheckGPSDataBeanDao checkGPSDataBeanDao;
    private final GPSDataBeanDao gPSDataBeanDao;
    private final LocationGPSDataBeanDao locationGPSDataBeanDao;
    private final JobBeanDao jobBeanDao;
    private final NotifyManageBeanDao notifyManageBeanDao;
    private final FieldsBeanDao fieldsBeanDao;
    private final MaintainAdjustParamDao maintainAdjustParamDao;
    private final MaintainCommonParamDao maintainCommonParamDao;
    private final PlanPointRepairDao planPointRepairDao;
    private final RepairSysDeviceSettingDao repairSysDeviceSettingDao;
    private final OfflinePathBeanDao offlinePathBeanDao;
    private final OfflinePointLineBeanDao offlinePointLineBeanDao;
    private final PlanBeanDao planBeanDao;
    private final RushRepairBeanDao rushRepairBeanDao;
    private final RushRepairExamineBeanDao rushRepairExamineBeanDao;
    private final RushRepairFileBeanDao rushRepairFileBeanDao;
    private final RushRepairProcessBeanDao rushRepairProcessBeanDao;
    private final SignDataBeanDao signDataBeanDao;
    private final SignHistoryDataBeanDao signHistoryDataBeanDao;
    private final SketchBeanDao sketchBeanDao;
    private final ServerSysConfigBeanDao serverSysConfigBeanDao;
    private final SystemConfigBeanDao systemConfigBeanDao;
    private final PipeTypeBeanDao pipeTypeBeanDao;
    private final SysDeviceTypeBeanDao sysDeviceTypeBeanDao;
    private final TroubleRiskLevelBeanDao troubleRiskLevelBeanDao;
    private final TroubleTypeBeanDao troubleTypeBeanDao;
    private final LocalPlanRecordBeanDao localPlanRecordBeanDao;
    private final TroubleAudioBeanDao troubleAudioBeanDao;
    private final TroubleBeanDao troubleBeanDao;
    private final TroublePictureBeanDao troublePictureBeanDao;
    private final UploadPhotoBeanDao uploadPhotoBeanDao;
    private final DepartListBeanDao departListBeanDao;
    private final DepartUserListBeanDao departUserListBeanDao;
    private final MapUrlConfigDataBeanDao mapUrlConfigDataBeanDao;
    private final UserBeanDao userBeanDao;
    private final UserMapDataBeanDao userMapDataBeanDao;
    private final UserMenuBeanDao userMenuBeanDao;
    private final UserOnlineMapDataBeanDao userOnlineMapDataBeanDao;

    public DaoSession(Database db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        offlineJobNeedDataDaoConfig = daoConfigMap.get(OfflineJobNeedDataDao.class).clone();
        offlineJobNeedDataDaoConfig.initIdentityScope(type);

        offlineWorkJobBeanDaoConfig = daoConfigMap.get(OfflineWorkJobBeanDao.class).clone();
        offlineWorkJobBeanDaoConfig.initIdentityScope(type);

        buildExamineBeanDaoConfig = daoConfigMap.get(BuildExamineBeanDao.class).clone();
        buildExamineBeanDaoConfig.initIdentityScope(type);

        buildFileBeanDaoConfig = daoConfigMap.get(BuildFileBeanDao.class).clone();
        buildFileBeanDaoConfig.initIdentityScope(type);

        buildHandleDataBeanDaoConfig = daoConfigMap.get(BuildHandleDataBeanDao.class).clone();
        buildHandleDataBeanDaoConfig.initIdentityScope(type);

        buildLogBeanDaoConfig = daoConfigMap.get(BuildLogBeanDao.class).clone();
        buildLogBeanDaoConfig.initIdentityScope(type);

        buildManageBeanDaoConfig = daoConfigMap.get(BuildManageBeanDao.class).clone();
        buildManageBeanDaoConfig.initIdentityScope(type);

        buildManageFileBeanDaoConfig = daoConfigMap.get(BuildManageFileBeanDao.class).clone();
        buildManageFileBeanDaoConfig.initIdentityScope(type);

        buildProcessManageBeanDaoConfig = daoConfigMap.get(BuildProcessManageBeanDao.class).clone();
        buildProcessManageBeanDaoConfig.initIdentityScope(type);

        buildProjectTypeBeanDaoConfig = daoConfigMap.get(BuildProjectTypeBeanDao.class).clone();
        buildProjectTypeBeanDaoConfig.initIdentityScope(type);

        buildReportBeanDaoConfig = daoConfigMap.get(BuildReportBeanDao.class).clone();
        buildReportBeanDaoConfig.initIdentityScope(type);

        buildSignDataBeanDaoConfig = daoConfigMap.get(BuildSignDataBeanDao.class).clone();
        buildSignDataBeanDaoConfig.initIdentityScope(type);

        buildTypeBeanDaoConfig = daoConfigMap.get(BuildTypeBeanDao.class).clone();
        buildTypeBeanDaoConfig.initIdentityScope(type);

        departmentBeanDaoConfig = daoConfigMap.get(DepartmentBeanDao.class).clone();
        departmentBeanDaoConfig.initIdentityScope(type);

        userListBeanDaoConfig = daoConfigMap.get(UserListBeanDao.class).clone();
        userListBeanDaoConfig.initIdentityScope(type);

        deviceInfoBeanDaoConfig = daoConfigMap.get(DeviceInfoBeanDao.class).clone();
        deviceInfoBeanDaoConfig.initIdentityScope(type);

        downloadDataDaoConfig = daoConfigMap.get(DownloadDataDao.class).clone();
        downloadDataDaoConfig.initIdentityScope(type);

        emergencyOverDataDaoConfig = daoConfigMap.get(EmergencyOverDataDao.class).clone();
        emergencyOverDataDaoConfig.initIdentityScope(type);

        checkGPSDataBeanDaoConfig = daoConfigMap.get(CheckGPSDataBeanDao.class).clone();
        checkGPSDataBeanDaoConfig.initIdentityScope(type);

        gPSDataBeanDaoConfig = daoConfigMap.get(GPSDataBeanDao.class).clone();
        gPSDataBeanDaoConfig.initIdentityScope(type);

        locationGPSDataBeanDaoConfig = daoConfigMap.get(LocationGPSDataBeanDao.class).clone();
        locationGPSDataBeanDaoConfig.initIdentityScope(type);

        jobBeanDaoConfig = daoConfigMap.get(JobBeanDao.class).clone();
        jobBeanDaoConfig.initIdentityScope(type);

        notifyManageBeanDaoConfig = daoConfigMap.get(NotifyManageBeanDao.class).clone();
        notifyManageBeanDaoConfig.initIdentityScope(type);

        fieldsBeanDaoConfig = daoConfigMap.get(FieldsBeanDao.class).clone();
        fieldsBeanDaoConfig.initIdentityScope(type);

        maintainAdjustParamDaoConfig = daoConfigMap.get(MaintainAdjustParamDao.class).clone();
        maintainAdjustParamDaoConfig.initIdentityScope(type);

        maintainCommonParamDaoConfig = daoConfigMap.get(MaintainCommonParamDao.class).clone();
        maintainCommonParamDaoConfig.initIdentityScope(type);

        planPointRepairDaoConfig = daoConfigMap.get(PlanPointRepairDao.class).clone();
        planPointRepairDaoConfig.initIdentityScope(type);

        repairSysDeviceSettingDaoConfig = daoConfigMap.get(RepairSysDeviceSettingDao.class).clone();
        repairSysDeviceSettingDaoConfig.initIdentityScope(type);

        offlinePathBeanDaoConfig = daoConfigMap.get(OfflinePathBeanDao.class).clone();
        offlinePathBeanDaoConfig.initIdentityScope(type);

        offlinePointLineBeanDaoConfig = daoConfigMap.get(OfflinePointLineBeanDao.class).clone();
        offlinePointLineBeanDaoConfig.initIdentityScope(type);

        planBeanDaoConfig = daoConfigMap.get(PlanBeanDao.class).clone();
        planBeanDaoConfig.initIdentityScope(type);

        rushRepairBeanDaoConfig = daoConfigMap.get(RushRepairBeanDao.class).clone();
        rushRepairBeanDaoConfig.initIdentityScope(type);

        rushRepairExamineBeanDaoConfig = daoConfigMap.get(RushRepairExamineBeanDao.class).clone();
        rushRepairExamineBeanDaoConfig.initIdentityScope(type);

        rushRepairFileBeanDaoConfig = daoConfigMap.get(RushRepairFileBeanDao.class).clone();
        rushRepairFileBeanDaoConfig.initIdentityScope(type);

        rushRepairProcessBeanDaoConfig = daoConfigMap.get(RushRepairProcessBeanDao.class).clone();
        rushRepairProcessBeanDaoConfig.initIdentityScope(type);

        signDataBeanDaoConfig = daoConfigMap.get(SignDataBeanDao.class).clone();
        signDataBeanDaoConfig.initIdentityScope(type);

        signHistoryDataBeanDaoConfig = daoConfigMap.get(SignHistoryDataBeanDao.class).clone();
        signHistoryDataBeanDaoConfig.initIdentityScope(type);

        sketchBeanDaoConfig = daoConfigMap.get(SketchBeanDao.class).clone();
        sketchBeanDaoConfig.initIdentityScope(type);

        serverSysConfigBeanDaoConfig = daoConfigMap.get(ServerSysConfigBeanDao.class).clone();
        serverSysConfigBeanDaoConfig.initIdentityScope(type);

        systemConfigBeanDaoConfig = daoConfigMap.get(SystemConfigBeanDao.class).clone();
        systemConfigBeanDaoConfig.initIdentityScope(type);

        pipeTypeBeanDaoConfig = daoConfigMap.get(PipeTypeBeanDao.class).clone();
        pipeTypeBeanDaoConfig.initIdentityScope(type);

        sysDeviceTypeBeanDaoConfig = daoConfigMap.get(SysDeviceTypeBeanDao.class).clone();
        sysDeviceTypeBeanDaoConfig.initIdentityScope(type);

        troubleRiskLevelBeanDaoConfig = daoConfigMap.get(TroubleRiskLevelBeanDao.class).clone();
        troubleRiskLevelBeanDaoConfig.initIdentityScope(type);

        troubleTypeBeanDaoConfig = daoConfigMap.get(TroubleTypeBeanDao.class).clone();
        troubleTypeBeanDaoConfig.initIdentityScope(type);

        localPlanRecordBeanDaoConfig = daoConfigMap.get(LocalPlanRecordBeanDao.class).clone();
        localPlanRecordBeanDaoConfig.initIdentityScope(type);

        troubleAudioBeanDaoConfig = daoConfigMap.get(TroubleAudioBeanDao.class).clone();
        troubleAudioBeanDaoConfig.initIdentityScope(type);

        troubleBeanDaoConfig = daoConfigMap.get(TroubleBeanDao.class).clone();
        troubleBeanDaoConfig.initIdentityScope(type);

        troublePictureBeanDaoConfig = daoConfigMap.get(TroublePictureBeanDao.class).clone();
        troublePictureBeanDaoConfig.initIdentityScope(type);

        uploadPhotoBeanDaoConfig = daoConfigMap.get(UploadPhotoBeanDao.class).clone();
        uploadPhotoBeanDaoConfig.initIdentityScope(type);

        departListBeanDaoConfig = daoConfigMap.get(DepartListBeanDao.class).clone();
        departListBeanDaoConfig.initIdentityScope(type);

        departUserListBeanDaoConfig = daoConfigMap.get(DepartUserListBeanDao.class).clone();
        departUserListBeanDaoConfig.initIdentityScope(type);

        mapUrlConfigDataBeanDaoConfig = daoConfigMap.get(MapUrlConfigDataBeanDao.class).clone();
        mapUrlConfigDataBeanDaoConfig.initIdentityScope(type);

        userBeanDaoConfig = daoConfigMap.get(UserBeanDao.class).clone();
        userBeanDaoConfig.initIdentityScope(type);

        userMapDataBeanDaoConfig = daoConfigMap.get(UserMapDataBeanDao.class).clone();
        userMapDataBeanDaoConfig.initIdentityScope(type);

        userMenuBeanDaoConfig = daoConfigMap.get(UserMenuBeanDao.class).clone();
        userMenuBeanDaoConfig.initIdentityScope(type);

        userOnlineMapDataBeanDaoConfig = daoConfigMap.get(UserOnlineMapDataBeanDao.class).clone();
        userOnlineMapDataBeanDaoConfig.initIdentityScope(type);

        offlineJobNeedDataDao = new OfflineJobNeedDataDao(offlineJobNeedDataDaoConfig, this);
        offlineWorkJobBeanDao = new OfflineWorkJobBeanDao(offlineWorkJobBeanDaoConfig, this);
        buildExamineBeanDao = new BuildExamineBeanDao(buildExamineBeanDaoConfig, this);
        buildFileBeanDao = new BuildFileBeanDao(buildFileBeanDaoConfig, this);
        buildHandleDataBeanDao = new BuildHandleDataBeanDao(buildHandleDataBeanDaoConfig, this);
        buildLogBeanDao = new BuildLogBeanDao(buildLogBeanDaoConfig, this);
        buildManageBeanDao = new BuildManageBeanDao(buildManageBeanDaoConfig, this);
        buildManageFileBeanDao = new BuildManageFileBeanDao(buildManageFileBeanDaoConfig, this);
        buildProcessManageBeanDao = new BuildProcessManageBeanDao(buildProcessManageBeanDaoConfig, this);
        buildProjectTypeBeanDao = new BuildProjectTypeBeanDao(buildProjectTypeBeanDaoConfig, this);
        buildReportBeanDao = new BuildReportBeanDao(buildReportBeanDaoConfig, this);
        buildSignDataBeanDao = new BuildSignDataBeanDao(buildSignDataBeanDaoConfig, this);
        buildTypeBeanDao = new BuildTypeBeanDao(buildTypeBeanDaoConfig, this);
        departmentBeanDao = new DepartmentBeanDao(departmentBeanDaoConfig, this);
        userListBeanDao = new UserListBeanDao(userListBeanDaoConfig, this);
        deviceInfoBeanDao = new DeviceInfoBeanDao(deviceInfoBeanDaoConfig, this);
        downloadDataDao = new DownloadDataDao(downloadDataDaoConfig, this);
        emergencyOverDataDao = new EmergencyOverDataDao(emergencyOverDataDaoConfig, this);
        checkGPSDataBeanDao = new CheckGPSDataBeanDao(checkGPSDataBeanDaoConfig, this);
        gPSDataBeanDao = new GPSDataBeanDao(gPSDataBeanDaoConfig, this);
        locationGPSDataBeanDao = new LocationGPSDataBeanDao(locationGPSDataBeanDaoConfig, this);
        jobBeanDao = new JobBeanDao(jobBeanDaoConfig, this);
        notifyManageBeanDao = new NotifyManageBeanDao(notifyManageBeanDaoConfig, this);
        fieldsBeanDao = new FieldsBeanDao(fieldsBeanDaoConfig, this);
        maintainAdjustParamDao = new MaintainAdjustParamDao(maintainAdjustParamDaoConfig, this);
        maintainCommonParamDao = new MaintainCommonParamDao(maintainCommonParamDaoConfig, this);
        planPointRepairDao = new PlanPointRepairDao(planPointRepairDaoConfig, this);
        repairSysDeviceSettingDao = new RepairSysDeviceSettingDao(repairSysDeviceSettingDaoConfig, this);
        offlinePathBeanDao = new OfflinePathBeanDao(offlinePathBeanDaoConfig, this);
        offlinePointLineBeanDao = new OfflinePointLineBeanDao(offlinePointLineBeanDaoConfig, this);
        planBeanDao = new PlanBeanDao(planBeanDaoConfig, this);
        rushRepairBeanDao = new RushRepairBeanDao(rushRepairBeanDaoConfig, this);
        rushRepairExamineBeanDao = new RushRepairExamineBeanDao(rushRepairExamineBeanDaoConfig, this);
        rushRepairFileBeanDao = new RushRepairFileBeanDao(rushRepairFileBeanDaoConfig, this);
        rushRepairProcessBeanDao = new RushRepairProcessBeanDao(rushRepairProcessBeanDaoConfig, this);
        signDataBeanDao = new SignDataBeanDao(signDataBeanDaoConfig, this);
        signHistoryDataBeanDao = new SignHistoryDataBeanDao(signHistoryDataBeanDaoConfig, this);
        sketchBeanDao = new SketchBeanDao(sketchBeanDaoConfig, this);
        serverSysConfigBeanDao = new ServerSysConfigBeanDao(serverSysConfigBeanDaoConfig, this);
        systemConfigBeanDao = new SystemConfigBeanDao(systemConfigBeanDaoConfig, this);
        pipeTypeBeanDao = new PipeTypeBeanDao(pipeTypeBeanDaoConfig, this);
        sysDeviceTypeBeanDao = new SysDeviceTypeBeanDao(sysDeviceTypeBeanDaoConfig, this);
        troubleRiskLevelBeanDao = new TroubleRiskLevelBeanDao(troubleRiskLevelBeanDaoConfig, this);
        troubleTypeBeanDao = new TroubleTypeBeanDao(troubleTypeBeanDaoConfig, this);
        localPlanRecordBeanDao = new LocalPlanRecordBeanDao(localPlanRecordBeanDaoConfig, this);
        troubleAudioBeanDao = new TroubleAudioBeanDao(troubleAudioBeanDaoConfig, this);
        troubleBeanDao = new TroubleBeanDao(troubleBeanDaoConfig, this);
        troublePictureBeanDao = new TroublePictureBeanDao(troublePictureBeanDaoConfig, this);
        uploadPhotoBeanDao = new UploadPhotoBeanDao(uploadPhotoBeanDaoConfig, this);
        departListBeanDao = new DepartListBeanDao(departListBeanDaoConfig, this);
        departUserListBeanDao = new DepartUserListBeanDao(departUserListBeanDaoConfig, this);
        mapUrlConfigDataBeanDao = new MapUrlConfigDataBeanDao(mapUrlConfigDataBeanDaoConfig, this);
        userBeanDao = new UserBeanDao(userBeanDaoConfig, this);
        userMapDataBeanDao = new UserMapDataBeanDao(userMapDataBeanDaoConfig, this);
        userMenuBeanDao = new UserMenuBeanDao(userMenuBeanDaoConfig, this);
        userOnlineMapDataBeanDao = new UserOnlineMapDataBeanDao(userOnlineMapDataBeanDaoConfig, this);

        registerDao(OfflineJobNeedData.class, offlineJobNeedDataDao);
        registerDao(OfflineWorkJobBean.class, offlineWorkJobBeanDao);
        registerDao(BuildExamineBean.class, buildExamineBeanDao);
        registerDao(BuildFileBean.class, buildFileBeanDao);
        registerDao(BuildHandleDataBean.class, buildHandleDataBeanDao);
        registerDao(BuildLogBean.class, buildLogBeanDao);
        registerDao(BuildManageBean.class, buildManageBeanDao);
        registerDao(BuildManageFileBean.class, buildManageFileBeanDao);
        registerDao(BuildProcessManageBean.class, buildProcessManageBeanDao);
        registerDao(BuildProjectTypeBean.class, buildProjectTypeBeanDao);
        registerDao(BuildReportBean.class, buildReportBeanDao);
        registerDao(BuildSignDataBean.class, buildSignDataBeanDao);
        registerDao(BuildTypeBean.class, buildTypeBeanDao);
        registerDao(DepartmentBean.class, departmentBeanDao);
        registerDao(UserListBean.class, userListBeanDao);
        registerDao(DeviceInfoBean.class, deviceInfoBeanDao);
        registerDao(DownloadData.class, downloadDataDao);
        registerDao(EmergencyOverData.class, emergencyOverDataDao);
        registerDao(CheckGPSDataBean.class, checkGPSDataBeanDao);
        registerDao(GPSDataBean.class, gPSDataBeanDao);
        registerDao(LocationGPSDataBean.class, locationGPSDataBeanDao);
        registerDao(JobBean.class, jobBeanDao);
        registerDao(NotifyManageBean.class, notifyManageBeanDao);
        registerDao(FieldsBean.class, fieldsBeanDao);
        registerDao(MaintainAdjustParam.class, maintainAdjustParamDao);
        registerDao(MaintainCommonParam.class, maintainCommonParamDao);
        registerDao(PlanPointRepair.class, planPointRepairDao);
        registerDao(RepairSysDeviceSetting.class, repairSysDeviceSettingDao);
        registerDao(OfflinePathBean.class, offlinePathBeanDao);
        registerDao(OfflinePointLineBean.class, offlinePointLineBeanDao);
        registerDao(PlanBean.class, planBeanDao);
        registerDao(RushRepairBean.class, rushRepairBeanDao);
        registerDao(RushRepairExamineBean.class, rushRepairExamineBeanDao);
        registerDao(RushRepairFileBean.class, rushRepairFileBeanDao);
        registerDao(RushRepairProcessBean.class, rushRepairProcessBeanDao);
        registerDao(SignDataBean.class, signDataBeanDao);
        registerDao(SignHistoryDataBean.class, signHistoryDataBeanDao);
        registerDao(SketchBean.class, sketchBeanDao);
        registerDao(ServerSysConfigBean.class, serverSysConfigBeanDao);
        registerDao(SystemConfigBean.class, systemConfigBeanDao);
        registerDao(PipeTypeBean.class, pipeTypeBeanDao);
        registerDao(SysDeviceTypeBean.class, sysDeviceTypeBeanDao);
        registerDao(TroubleRiskLevelBean.class, troubleRiskLevelBeanDao);
        registerDao(TroubleTypeBean.class, troubleTypeBeanDao);
        registerDao(LocalPlanRecordBean.class, localPlanRecordBeanDao);
        registerDao(TroubleAudioBean.class, troubleAudioBeanDao);
        registerDao(TroubleBean.class, troubleBeanDao);
        registerDao(TroublePictureBean.class, troublePictureBeanDao);
        registerDao(UploadPhotoBean.class, uploadPhotoBeanDao);
        registerDao(DepartListBean.class, departListBeanDao);
        registerDao(DepartUserListBean.class, departUserListBeanDao);
        registerDao(MapUrlConfigDataBean.class, mapUrlConfigDataBeanDao);
        registerDao(UserBean.class, userBeanDao);
        registerDao(UserMapDataBean.class, userMapDataBeanDao);
        registerDao(UserMenuBean.class, userMenuBeanDao);
        registerDao(UserOnlineMapDataBean.class, userOnlineMapDataBeanDao);
    }
    
    public void clear() {
        offlineJobNeedDataDaoConfig.clearIdentityScope();
        offlineWorkJobBeanDaoConfig.clearIdentityScope();
        buildExamineBeanDaoConfig.clearIdentityScope();
        buildFileBeanDaoConfig.clearIdentityScope();
        buildHandleDataBeanDaoConfig.clearIdentityScope();
        buildLogBeanDaoConfig.clearIdentityScope();
        buildManageBeanDaoConfig.clearIdentityScope();
        buildManageFileBeanDaoConfig.clearIdentityScope();
        buildProcessManageBeanDaoConfig.clearIdentityScope();
        buildProjectTypeBeanDaoConfig.clearIdentityScope();
        buildReportBeanDaoConfig.clearIdentityScope();
        buildSignDataBeanDaoConfig.clearIdentityScope();
        buildTypeBeanDaoConfig.clearIdentityScope();
        departmentBeanDaoConfig.clearIdentityScope();
        userListBeanDaoConfig.clearIdentityScope();
        deviceInfoBeanDaoConfig.clearIdentityScope();
        downloadDataDaoConfig.clearIdentityScope();
        emergencyOverDataDaoConfig.clearIdentityScope();
        checkGPSDataBeanDaoConfig.clearIdentityScope();
        gPSDataBeanDaoConfig.clearIdentityScope();
        locationGPSDataBeanDaoConfig.clearIdentityScope();
        jobBeanDaoConfig.clearIdentityScope();
        notifyManageBeanDaoConfig.clearIdentityScope();
        fieldsBeanDaoConfig.clearIdentityScope();
        maintainAdjustParamDaoConfig.clearIdentityScope();
        maintainCommonParamDaoConfig.clearIdentityScope();
        planPointRepairDaoConfig.clearIdentityScope();
        repairSysDeviceSettingDaoConfig.clearIdentityScope();
        offlinePathBeanDaoConfig.clearIdentityScope();
        offlinePointLineBeanDaoConfig.clearIdentityScope();
        planBeanDaoConfig.clearIdentityScope();
        rushRepairBeanDaoConfig.clearIdentityScope();
        rushRepairExamineBeanDaoConfig.clearIdentityScope();
        rushRepairFileBeanDaoConfig.clearIdentityScope();
        rushRepairProcessBeanDaoConfig.clearIdentityScope();
        signDataBeanDaoConfig.clearIdentityScope();
        signHistoryDataBeanDaoConfig.clearIdentityScope();
        sketchBeanDaoConfig.clearIdentityScope();
        serverSysConfigBeanDaoConfig.clearIdentityScope();
        systemConfigBeanDaoConfig.clearIdentityScope();
        pipeTypeBeanDaoConfig.clearIdentityScope();
        sysDeviceTypeBeanDaoConfig.clearIdentityScope();
        troubleRiskLevelBeanDaoConfig.clearIdentityScope();
        troubleTypeBeanDaoConfig.clearIdentityScope();
        localPlanRecordBeanDaoConfig.clearIdentityScope();
        troubleAudioBeanDaoConfig.clearIdentityScope();
        troubleBeanDaoConfig.clearIdentityScope();
        troublePictureBeanDaoConfig.clearIdentityScope();
        uploadPhotoBeanDaoConfig.clearIdentityScope();
        departListBeanDaoConfig.clearIdentityScope();
        departUserListBeanDaoConfig.clearIdentityScope();
        mapUrlConfigDataBeanDaoConfig.clearIdentityScope();
        userBeanDaoConfig.clearIdentityScope();
        userMapDataBeanDaoConfig.clearIdentityScope();
        userMenuBeanDaoConfig.clearIdentityScope();
        userOnlineMapDataBeanDaoConfig.clearIdentityScope();
    }

    public OfflineJobNeedDataDao getOfflineJobNeedDataDao() {
        return offlineJobNeedDataDao;
    }

    public OfflineWorkJobBeanDao getOfflineWorkJobBeanDao() {
        return offlineWorkJobBeanDao;
    }

    public BuildExamineBeanDao getBuildExamineBeanDao() {
        return buildExamineBeanDao;
    }

    public BuildFileBeanDao getBuildFileBeanDao() {
        return buildFileBeanDao;
    }

    public BuildHandleDataBeanDao getBuildHandleDataBeanDao() {
        return buildHandleDataBeanDao;
    }

    public BuildLogBeanDao getBuildLogBeanDao() {
        return buildLogBeanDao;
    }

    public BuildManageBeanDao getBuildManageBeanDao() {
        return buildManageBeanDao;
    }

    public BuildManageFileBeanDao getBuildManageFileBeanDao() {
        return buildManageFileBeanDao;
    }

    public BuildProcessManageBeanDao getBuildProcessManageBeanDao() {
        return buildProcessManageBeanDao;
    }

    public BuildProjectTypeBeanDao getBuildProjectTypeBeanDao() {
        return buildProjectTypeBeanDao;
    }

    public BuildReportBeanDao getBuildReportBeanDao() {
        return buildReportBeanDao;
    }

    public BuildSignDataBeanDao getBuildSignDataBeanDao() {
        return buildSignDataBeanDao;
    }

    public BuildTypeBeanDao getBuildTypeBeanDao() {
        return buildTypeBeanDao;
    }

    public DepartmentBeanDao getDepartmentBeanDao() {
        return departmentBeanDao;
    }

    public UserListBeanDao getUserListBeanDao() {
        return userListBeanDao;
    }

    public DeviceInfoBeanDao getDeviceInfoBeanDao() {
        return deviceInfoBeanDao;
    }

    public DownloadDataDao getDownloadDataDao() {
        return downloadDataDao;
    }

    public EmergencyOverDataDao getEmergencyOverDataDao() {
        return emergencyOverDataDao;
    }

    public CheckGPSDataBeanDao getCheckGPSDataBeanDao() {
        return checkGPSDataBeanDao;
    }

    public GPSDataBeanDao getGPSDataBeanDao() {
        return gPSDataBeanDao;
    }

    public LocationGPSDataBeanDao getLocationGPSDataBeanDao() {
        return locationGPSDataBeanDao;
    }

    public JobBeanDao getJobBeanDao() {
        return jobBeanDao;
    }

    public NotifyManageBeanDao getNotifyManageBeanDao() {
        return notifyManageBeanDao;
    }

    public FieldsBeanDao getFieldsBeanDao() {
        return fieldsBeanDao;
    }

    public MaintainAdjustParamDao getMaintainAdjustParamDao() {
        return maintainAdjustParamDao;
    }

    public MaintainCommonParamDao getMaintainCommonParamDao() {
        return maintainCommonParamDao;
    }

    public PlanPointRepairDao getPlanPointRepairDao() {
        return planPointRepairDao;
    }

    public RepairSysDeviceSettingDao getRepairSysDeviceSettingDao() {
        return repairSysDeviceSettingDao;
    }

    public OfflinePathBeanDao getOfflinePathBeanDao() {
        return offlinePathBeanDao;
    }

    public OfflinePointLineBeanDao getOfflinePointLineBeanDao() {
        return offlinePointLineBeanDao;
    }

    public PlanBeanDao getPlanBeanDao() {
        return planBeanDao;
    }

    public RushRepairBeanDao getRushRepairBeanDao() {
        return rushRepairBeanDao;
    }

    public RushRepairExamineBeanDao getRushRepairExamineBeanDao() {
        return rushRepairExamineBeanDao;
    }

    public RushRepairFileBeanDao getRushRepairFileBeanDao() {
        return rushRepairFileBeanDao;
    }

    public RushRepairProcessBeanDao getRushRepairProcessBeanDao() {
        return rushRepairProcessBeanDao;
    }

    public SignDataBeanDao getSignDataBeanDao() {
        return signDataBeanDao;
    }

    public SignHistoryDataBeanDao getSignHistoryDataBeanDao() {
        return signHistoryDataBeanDao;
    }

    public SketchBeanDao getSketchBeanDao() {
        return sketchBeanDao;
    }

    public ServerSysConfigBeanDao getServerSysConfigBeanDao() {
        return serverSysConfigBeanDao;
    }

    public SystemConfigBeanDao getSystemConfigBeanDao() {
        return systemConfigBeanDao;
    }

    public PipeTypeBeanDao getPipeTypeBeanDao() {
        return pipeTypeBeanDao;
    }

    public SysDeviceTypeBeanDao getSysDeviceTypeBeanDao() {
        return sysDeviceTypeBeanDao;
    }

    public TroubleRiskLevelBeanDao getTroubleRiskLevelBeanDao() {
        return troubleRiskLevelBeanDao;
    }

    public TroubleTypeBeanDao getTroubleTypeBeanDao() {
        return troubleTypeBeanDao;
    }

    public LocalPlanRecordBeanDao getLocalPlanRecordBeanDao() {
        return localPlanRecordBeanDao;
    }

    public TroubleAudioBeanDao getTroubleAudioBeanDao() {
        return troubleAudioBeanDao;
    }

    public TroubleBeanDao getTroubleBeanDao() {
        return troubleBeanDao;
    }

    public TroublePictureBeanDao getTroublePictureBeanDao() {
        return troublePictureBeanDao;
    }

    public UploadPhotoBeanDao getUploadPhotoBeanDao() {
        return uploadPhotoBeanDao;
    }

    public DepartListBeanDao getDepartListBeanDao() {
        return departListBeanDao;
    }

    public DepartUserListBeanDao getDepartUserListBeanDao() {
        return departUserListBeanDao;
    }

    public MapUrlConfigDataBeanDao getMapUrlConfigDataBeanDao() {
        return mapUrlConfigDataBeanDao;
    }

    public UserBeanDao getUserBeanDao() {
        return userBeanDao;
    }

    public UserMapDataBeanDao getUserMapDataBeanDao() {
        return userMapDataBeanDao;
    }

    public UserMenuBeanDao getUserMenuBeanDao() {
        return userMenuBeanDao;
    }

    public UserOnlineMapDataBeanDao getUserOnlineMapDataBeanDao() {
        return userOnlineMapDataBeanDao;
    }

}
